Subject: Re: bug#35005: 27.0.50; Fontification unexpectedly works with anonymous faces

From: Stefan Monnier <[email-masked]>
Date: Sat, 09 Nov 2019 16:10:58 -0500

> Therefore, the description now still does not make clear that anonymous
> faces can be used here.

Maybe we should simply better document the general rules about where
anonymous faces can usually be used and where they usually can't be used
(AFAICT they can be used where they affect the redisplay (e.g. in the
`face` and `font-lock-face` properties) but they can't be passed to face
manipulation functions like `set-face-attributes` and `describe-face`).
Their usage in font-lock is a natural consequence of those general
rules and doesn't merit extra discussion in the font-lock-keywords
doc which is already complex enough IMO.

        Stefan